import Vue from 'vue'
import uni_request from './uni_request.js'

/* 
	线上appid wxd684a5cf4af0a810
	线上接口地址 http://api.woaidakele.cn
	*** index 页面中跳转的url 对应页面 每次上线之前查看 onLoad 中是否注释判断代理公司才能注释的代码
*/

const host = 'http://api.cl.jiuweiyun.cn' //正式环境
// const host = 'http://www.agent-admin.com'  //测试环境  
const port = 80
// const port =8082
const url = '/api'

// uni.onNetworkStatusChange(res => { $store.commit('device/NETWORKTYPE_CHANGE', res.networkType) }) // 网络类型变化监听
// uni.getNetworkType({ success(res) { $store.commit('device/NETWORKTYPE_CHANGE', res.networkType) }}) // 获取网络类型

const request = uni_request({
	timeout: 123456,
	// baseURL: 'http://api.cl.jiuweiyun.cn/api',
	baseURL: `${host}:${port}${url}`,
})

request.interceptors.request.use(config => {
	// config.header.Authorization = 'Bearer ' + $store.state.app.token
	return config
})



request.interceptors.response.use((response, ...args) => { // 拦截器
	uni.hideLoading()
	uni.$emit('HIDELOADING') // 隐藏加载
	uni.stopPullDownRefresh() // 停止下拉刷新
	if (response.statusCode === 200) {
		if (+response.data.code === 202) {
			uni.$emit('TOAST', response.data.message)
		}
	} else if (response.statusCode === 401) { // 服务器响应不为 200 的统一处理方法
		uni.$emit('TOAST', '登录信息过期,请重新登录')
		uni.$emit('RELAUNCH')
	} else {
		// uni.$emit('TOAST', `网络好像出了点问题:${response.statusCode}/${args[1]}`)
	}
	return response
})

request.onerror = (...args) => { // 请求失败统一处理方法
	uni.hideLoading()
	uni.$emit('HIDELOADING') // 隐藏加载
	uni.stopPullDownRefresh() // 停止下拉刷新
	// uni.$emit('TOAST', `网络好像出了点问题`)
}
export default request
